//
//  UIN8_Y800.hpp
//  c_gtk_image
//
//  Created by Arnaud Blanchard on 23/11/2020.
//

#ifndef UIN8_Y800_hpp
#define UIN8_Y800_hpp

#include "Image.hpp"
#include "Histogram.hpp"
#include <vector>

class UIN8_Y800_image:public Image{
    std::vector<uint32_t> color_map;
    uint32_t *pixels;

public:
    UIN8_Y800_image(blc_array const &array);
    void update();
    void update_pointer_info();
};

class UIN8_Y800_histogram:public Histogram{
    std::vector<uint32_t>color_map;
    std::vector<uint8_t>histogram;
    uint32_t *pixels;
    
public:
    UIN8_Y800_histogram(blc_array const &array);
    void update();
    void update_pointer_info();
};
#endif /* UIN8_Y800_h */
